{
   "buffs":
   [
	  {
         "id" : "Rajang_Quirk_Tip_1",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "Rajang_Quirk_Tip_1",
         "amount" : 1,
         "remove_if_not_active" : false,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
	  {
         "id" : "Rajang_Quirk_Tip_2",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "Rajang_Quirk_Tip_2",
         "amount" : 1,
         "remove_if_not_active" : false,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
	  {
         "id" : "Rajang_Quirk_Tip_3",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "Rajang_Quirk_Tip_3",
         "amount" : 1,
         "remove_if_not_active" : false,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
	  {
         "id" : "Rajang_Quirk_Tip_4",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "Rajang_Quirk_Tip_4",
         "amount" : 1,
         "remove_if_not_active" : false,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
	  {
         "id" : "Rajang_HealCD_Tip",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "Rajang_HealCD_Tip",
         "amount" : -0.01,
         "remove_if_not_active" : false,
		 "is_clear_debuff_valid" : false,
		 "remove_on_battle_complete" : true,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
	  {
         "id" : "Rajang_Warth_Tip",
         "stat_type" : "quirk_tag_evolution_duration",
         "stat_sub_type" : "Rajang_Warth_Tip",
         "amount" : 1,
         "remove_if_not_active" : false,
		 "is_clear_debuff_valid" : false,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
	  {
         "id" : "Rajang_Warth2_Tip",
         "stat_type" : "quirk_tag_evolution_duration",
         "stat_sub_type" : "Rajang_Warth_Tip",
         "amount" : 2,
         "remove_if_not_active" : false,
		 "is_clear_debuff_valid" : false,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
	  {
         "id" : "Rajang_WarthDown_Tip",
         "stat_type" : "quirk_tag_evolution_duration",
         "stat_sub_type" : "Rajang_Warth_Tip",
         "amount" : -1,
         "remove_if_not_active" : false,
		 "is_clear_debuff_valid" : false,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
	  {
         "id" : "Rajang_Warth4_Tip",
         "stat_type" : "quirk_tag_evolution_duration",
         "stat_sub_type" : "Rajang_Warth_Tip",
         "amount" : 4,
         "remove_if_not_active" : false,
		 "is_clear_debuff_valid" : false,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
	  {
         "id" : "Rajang_Warth5_Tip",
         "stat_type" : "quirk_tag_evolution_duration",
         "stat_sub_type" : "Rajang_Warth_Tip",
         "amount" : 5,
         "remove_if_not_active" : false,
		 "is_clear_debuff_valid" : false,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
	  {
         "id" : "Rajang_SKWarthTip",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "Rajang_SKWarthTip",
         "amount" : 1,
         "remove_if_not_active" : false,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
	  {
         "id" : "Rajang_SK1_Tip_1_1",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "Rajang_SK1_Tip_1_1",
         "amount" : 1,
         "remove_if_not_active" : false,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
	  {
         "id" : "Rajang_SK1_Tip_2_1",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "Rajang_SK1_Tip_2_1",
         "amount" : 1,
         "remove_if_not_active" : false,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
	  {
         "id" : "Rajang_SK1_Tip_3_1",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "Rajang_SK1_Tip_3_1",
         "amount" : 1,
         "remove_if_not_active" : false,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
	  {
         "id" : "Rajang_SK1_Tip_1_2",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "Rajang_SK1_Tip_1_2",
         "amount" : 1,
         "remove_if_not_active" : false,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
	  {
         "id" : "Rajang_SK1_Tip_2_2",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "Rajang_SK1_Tip_2_2",
         "amount" : 1,
         "remove_if_not_active" : false,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
	  {
         "id" : "Rajang_SK1_Tip_3_2",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "Rajang_SK1_Tip_3_2",
         "amount" : 1,
         "remove_if_not_active" : false,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
	  {
         "id" : "Rajang_SK1_Tip_1_3",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "Rajang_SK1_Tip_1_3",
         "amount" : 1,
         "remove_if_not_active" : false,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
	  {
         "id" : "Rajang_SK1_Tip_2_3",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "Rajang_SK1_Tip_2_3",
         "amount" : 1,
         "remove_if_not_active" : false,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
	  {
         "id" : "Rajang_SK1_Tip_3_3",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "Rajang_SK1_Tip_3_3",
         "amount" : 1,
         "remove_if_not_active" : false,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
	  {
         "id" : "Rajang_SK1_Tip_1_4",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "Rajang_SK1_Tip_1_4",
         "amount" : 1,
         "remove_if_not_active" : false,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
	  {
         "id" : "Rajang_SK1_Tip_2_4",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "Rajang_SK1_Tip_2_4",
         "amount" : 1,
         "remove_if_not_active" : false,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
	  {
         "id" : "Rajang_SK1_Tip_3_4",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "Rajang_SK1_Tip_3_4",
         "amount" : 1,
         "remove_if_not_active" : false,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
	  {
         "id" : "Rajang_SK1_Tip_1_5",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "Rajang_SK1_Tip_1_5",
         "amount" : 1,
         "remove_if_not_active" : false,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
	  {
         "id" : "Rajang_SK1_Tip_2_5",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "Rajang_SK1_Tip_2_5",
         "amount" : 1,
         "remove_if_not_active" : false,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
	  {
         "id" : "Rajang_SK1_Tip_3_5",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "Rajang_SK1_Tip_3_5",
         "amount" : 1,
         "remove_if_not_active" : false,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
	  {
         "id" : "Rajang_DazeCD_Tip",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "Rajang_DazeCD_Tip",
         "amount" : -1,
         "remove_if_not_active" : false,
		 "is_clear_debuff_valid" : false,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
	  {
         "id" : "Rajang_SK2_Tip_1",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "Rajang_SK2_Tip_1",
         "amount" : 1,
         "remove_if_not_active" : false,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
	  {
         "id" : "Rajang_SK2_Tip_1_5",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "Rajang_SK2_Tip_1_5",
         "amount" : 1,
         "remove_if_not_active" : false,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
	  {
         "id" : "Rajang_SK2_Tip_2_1",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "Rajang_SK2_Tip_2_1",
         "amount" : 1,
         "remove_if_not_active" : false,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
	  {
         "id" : "Rajang_SK2_Tip_2_2",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "Rajang_SK2_Tip_2_2",
         "amount" : 1,
         "remove_if_not_active" : false,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
	  {
         "id" : "Rajang_SK2_Tip_2_3",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "Rajang_SK2_Tip_2_3",
         "amount" : 1,
         "remove_if_not_active" : false,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
	  {
         "id" : "Rajang_SK2_Tip_2_4",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "Rajang_SK2_Tip_2_4",
         "amount" : 1,
         "remove_if_not_active" : false,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
	  {
         "id" : "Rajang_SK2_Tip_2_5",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "Rajang_SK2_Tip_2_5",
         "amount" : 1,
         "remove_if_not_active" : false,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
	  {
         "id" : "Rajang_SK2_Tip_3_1",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "Rajang_SK2_Tip_3_1",
         "amount" : 1,
         "remove_if_not_active" : false,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
	  {
         "id" : "Rajang_SK2_Tip_3_2",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "Rajang_SK2_Tip_3_2",
         "amount" : 1,
         "remove_if_not_active" : false,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
	  {
         "id" : "Rajang_SK2_Tip_3_3",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "Rajang_SK2_Tip_3_3",
         "amount" : 1,
         "remove_if_not_active" : false,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
	  {
         "id" : "Rajang_SK2_Tip_3_4",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "Rajang_SK2_Tip_3_4",
         "amount" : 1,
         "remove_if_not_active" : false,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
	  {
         "id" : "Rajang_SK2_Tip_3_5",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "Rajang_SK2_Tip_3_5",
         "amount" : 1,
         "remove_if_not_active" : false,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
	  {
         "id" : "Rajang_SK2_Tip_4",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "Rajang_SK2_Tip_4",
         "amount" : 1,
         "remove_if_not_active" : false,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
	  {
         "id" : "Rajang_SK2_Tip_4_4",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "Rajang_SK2_Tip_4_4",
         "amount" : 1,
         "remove_if_not_active" : false,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
	  {
         "id" : "Rajang_SK2_Tip_5",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "Rajang_SK2_Tip_5",
         "amount" : 1,
         "remove_if_not_active" : false,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
	  {
         "id" : "Rajang_SK2_Tip_6_1",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "Rajang_SK2_Tip_6_1",
         "amount" : 1,
         "remove_if_not_active" : false,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
	  {
         "id" : "Rajang_SK2_Tip_6_2",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "Rajang_SK2_Tip_6_2",
         "amount" : 1,
         "remove_if_not_active" : false,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
	  {
         "id" : "Rajang_SK2_Tip_6_3",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "Rajang_SK2_Tip_6_3",
         "amount" : 1,
         "remove_if_not_active" : false,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
	  {
         "id" : "Rajang_SK2_Tip_6_4",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "Rajang_SK2_Tip_6_4",
         "amount" : 1,
         "remove_if_not_active" : false,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
	  {
         "id" : "Rajang_SK2_Tip_6_5",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "Rajang_SK2_Tip_6_5",
         "amount" : 1,
         "remove_if_not_active" : false,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
	  {
         "id" : "Rajang_SK3_Tip_1_1",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "Rajang_SK3_Tip_1_1",
         "amount" : 1,
         "remove_if_not_active" : false,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
	  {
         "id" : "Rajang_SK3_Tip_1_2",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "Rajang_SK3_Tip_1_2",
         "amount" : 1,
         "remove_if_not_active" : false,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
	  {
         "id" : "Rajang_SK3_Tip_1_3",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "Rajang_SK3_Tip_1_3",
         "amount" : 1,
         "remove_if_not_active" : false,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
	  {
         "id" : "Rajang_SK3_Tip_1_4",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "Rajang_SK3_Tip_1_4",
         "amount" : 1,
         "remove_if_not_active" : false,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
	  {
         "id" : "Rajang_SK3_Tip_1_5",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "Rajang_SK3_Tip_1_5",
         "amount" : 1,
         "remove_if_not_active" : false,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
	  {
         "id" : "Rajang_SK3_Tip_2",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "Rajang_SK3_Tip_2",
         "amount" : 1,
         "remove_if_not_active" : false,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
	  {
         "id" : "Rajang_SK3_Tip_3",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "Rajang_SK3_Tip_3",
         "amount" : 1,
         "remove_if_not_active" : false,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
	  {
         "id" : "Rajang_UnDisStun_Tip",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "Rajang_UnDisStun_Tip",
         "amount" : 1,
         "remove_if_not_active" : false,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
	  {
         "id" : "Rajang_SK4_Tip_1",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "Rajang_SK4_Tip_1",
         "amount" : 1,
         "remove_if_not_active" : false,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
	  {
         "id" : "Rajang_SK4_Tip_2_1",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "Rajang_SK4_Tip_2_1",
         "amount" : 1,
         "remove_if_not_active" : false,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
	  {
         "id" : "Rajang_SK4_Tip_2_2",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "Rajang_SK4_Tip_2_2",
         "amount" : 1,
         "remove_if_not_active" : false,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
	  {
         "id" : "Rajang_SK4_Tip_2_3",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "Rajang_SK4_Tip_2_3",
         "amount" : 1,
         "remove_if_not_active" : false,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
	  {
         "id" : "Rajang_SK4_Tip_2_4",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "Rajang_SK4_Tip_2_4",
         "amount" : 1,
         "remove_if_not_active" : false,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
	  {
         "id" : "Rajang_SK4_Tip_2_5",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "Rajang_SK4_Tip_2_5",
         "amount" : 1,
         "remove_if_not_active" : false,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
	  {
         "id" : "Rajang_SK4_Tip_3_1",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "Rajang_SK4_Tip_3_1",
         "amount" : 1,
         "remove_if_not_active" : false,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
	  {
         "id" : "Rajang_SK4_Tip_3_2",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "Rajang_SK4_Tip_3_2",
         "amount" : 1,
         "remove_if_not_active" : false,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
	  {
         "id" : "Rajang_SK4_Tip_3_3",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "Rajang_SK4_Tip_3_3",
         "amount" : 1,
         "remove_if_not_active" : false,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
	  {
         "id" : "Rajang_SK4_Tip_3_4",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "Rajang_SK4_Tip_3_4",
         "amount" : 1,
         "remove_if_not_active" : false,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
	  {
         "id" : "Rajang_SK4_Tip_3_5",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "Rajang_SK4_Tip_3_5",
         "amount" : 1,
         "remove_if_not_active" : false,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
	  {
         "id" : "Rajang_SK4_Tip_4_1",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "Rajang_SK4_Tip_4_1",
         "amount" : 1,
         "remove_if_not_active" : false,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
	  {
         "id" : "Rajang_SK4_Tip_4_2",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "Rajang_SK4_Tip_4_2",
         "amount" : 1,
         "remove_if_not_active" : false,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
	  {
         "id" : "Rajang_SK4_Tip_4_3",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "Rajang_SK4_Tip_4_3",
         "amount" : 1,
         "remove_if_not_active" : false,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
	  {
         "id" : "Rajang_SK4_Tip_4_4",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "Rajang_SK4_Tip_4_4",
         "amount" : 1,
         "remove_if_not_active" : false,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
	  {
         "id" : "Rajang_SK4_Tip_4_5",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "Rajang_SK4_Tip_4_5",
         "amount" : 1,
         "remove_if_not_active" : false,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
	  {
         "id" : "Rajang_SK5_Tip_1_1",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "Rajang_SK5_Tip_1_1",
         "amount" : 1,
         "remove_if_not_active" : false,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
	  {
         "id" : "Rajang_SK5_Tip_1_2",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "Rajang_SK5_Tip_1_2",
         "amount" : 1,
         "remove_if_not_active" : false,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
	  {
         "id" : "Rajang_SK5_Tip_1_3",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "Rajang_SK5_Tip_1_3",
         "amount" : 1,
         "remove_if_not_active" : false,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },{
         "id" : "Rajang_SK5_Tip_1_4",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "Rajang_SK5_Tip_1_4",
         "amount" : 1,
         "remove_if_not_active" : false,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
	  {
         "id" : "Rajang_SK5_Tip_1_5",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "Rajang_SK5_Tip_1_5",
         "amount" : 1,
         "remove_if_not_active" : false,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
	  {
         "id" : "Rajang_SK5_Tip_2_1",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "Rajang_SK5_Tip_2_1",
         "amount" : 1,
         "remove_if_not_active" : false,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
	  {
         "id" : "Rajang_SK5_Tip_2_2",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "Rajang_SK5_Tip_2_2",
         "amount" : 1,
         "remove_if_not_active" : false,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
	  {
         "id" : "Rajang_SK5_Tip_2_3",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "Rajang_SK5_Tip_2_3",
         "amount" : 1,
         "remove_if_not_active" : false,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },{
         "id" : "Rajang_SK5_Tip_2_4",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "Rajang_SK5_Tip_2_4",
         "amount" : 1,
         "remove_if_not_active" : false,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
	  {
         "id" : "Rajang_SK5_Tip_2_5",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "Rajang_SK5_Tip_2_5",
         "amount" : 1,
         "remove_if_not_active" : false,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
	  {
         "id" : "Rajang_SK5_Tip_3",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "Rajang_SK5_Tip_3",
         "amount" : 1,
         "remove_if_not_active" : false,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
	  {
         "id" : "Rajang_SK5_Tip_4",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "Rajang_SK5_Tip_4",
         "amount" : 1,
         "remove_if_not_active" : false,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
	  {
         "id" : "Rajang_SK6_Tip_1",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "Rajang_SK6_Tip_1",
         "amount" : 1,
         "remove_if_not_active" : false,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
	  {
         "id" : "Rajang_SK6_Tip_2_1",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "Rajang_SK6_Tip_2_1",
         "amount" : 1,
         "remove_if_not_active" : false,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
	  {
         "id" : "Rajang_SK6_Tip_2_2",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "Rajang_SK6_Tip_2_2",
         "amount" : 1,
         "remove_if_not_active" : false,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
	  {
         "id" : "Rajang_SK6_Tip_2_3",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "Rajang_SK6_Tip_2_3",
         "amount" : 1,
         "remove_if_not_active" : false,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
	  {
         "id" : "Rajang_SK6_Tip_2_4",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "Rajang_SK6_Tip_2_4",
         "amount" : 1,
         "remove_if_not_active" : false,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
	  {
         "id" : "Rajang_SK6_Tip_2_5",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "Rajang_SK6_Tip_2_5",
         "amount" : 1,
         "remove_if_not_active" : false,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
	  {
         "id" : "Rajang_SK6_Tip_3_1",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "Rajang_SK6_Tip_3_1",
         "amount" : 1,
         "remove_if_not_active" : false,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
	  {
         "id" : "Rajang_SK6_Tip_3_2",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "Rajang_SK6_Tip_3_2",
         "amount" : 1,
         "remove_if_not_active" : false,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
	  {
         "id" : "Rajang_SK6_Tip_3_3",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "Rajang_SK6_Tip_3_3",
         "amount" : 1,
         "remove_if_not_active" : false,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
	  {
         "id" : "Rajang_SK6_Tip_3_4",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "Rajang_SK6_Tip_3_4",
         "amount" : 1,
         "remove_if_not_active" : false,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
	  {
         "id" : "Rajang_SK6_Tip_3_5",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "Rajang_SK6_Tip_3_5",
         "amount" : 1,
         "remove_if_not_active" : false,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
	  {
         "id" : "Rajang_SK6_Tip_3",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "Rajang_SK6_Tip_3",
         "amount" : 1,
         "remove_if_not_active" : false,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
	  {
         "id" : "Rajang_SK6_Tip_4_1",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "Rajang_SK6_Tip_4_1",
         "amount" : 1,
         "remove_if_not_active" : false,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
	  {
         "id" : "Rajang_SK6_Tip_4_2",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "Rajang_SK6_Tip_4_2",
         "amount" : 1,
         "remove_if_not_active" : false,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
	  {
         "id" : "Rajang_SK6_Tip_4_3",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "Rajang_SK6_Tip_4_3",
         "amount" : 1,
         "remove_if_not_active" : false,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
	  {
         "id" : "Rajang_SK6_Tip_4_4",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "Rajang_SK6_Tip_4_4",
         "amount" : 1,
         "remove_if_not_active" : false,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
	  {
         "id" : "Rajang_SK6_Tip_4_5",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "Rajang_SK6_Tip_4_5",
         "amount" : 1,
         "remove_if_not_active" : false,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
	  {
         "id" : "Rajang_SK6_Tip_5_1",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "Rajang_SK6_Tip_5_1",
         "amount" : 1,
         "remove_if_not_active" : false,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
	  {
         "id" : "Rajang_SK6_Tip_5_2",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "Rajang_SK6_Tip_5_2",
         "amount" : 1,
         "remove_if_not_active" : false,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
	  {
         "id" : "Rajang_SK6_Tip_5_3",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "Rajang_SK6_Tip_5_3",
         "amount" : 1,
         "remove_if_not_active" : false,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
	  {
         "id" : "Rajang_SK6_Tip_5_4",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "Rajang_SK6_Tip_5_4",
         "amount" : 1,
         "remove_if_not_active" : false,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
	  {
         "id" : "Rajang_SK6_Tip_5_5",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "Rajang_SK6_Tip_5_5",
         "amount" : 1,
         "remove_if_not_active" : false,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
	  {
         "id" : "Rajang_SK7_Tip_1_1",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "Rajang_SK7_Tip_1_1",
         "amount" : 1,
         "remove_if_not_active" : false,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
	  {
         "id" : "Rajang_SK7_Tip_1_2",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "Rajang_SK7_Tip_1_2",
         "amount" : 1,
         "remove_if_not_active" : false,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
	  {
         "id" : "Rajang_SK7_Tip_1_3",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "Rajang_SK7_Tip_1_3",
         "amount" : 1,
         "remove_if_not_active" : false,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
	  {
         "id" : "Rajang_SK7_Tip_1_4",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "Rajang_SK7_Tip_1_4",
         "amount" : 1,
         "remove_if_not_active" : false,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
	  {
         "id" : "Rajang_SK7_Tip_1_5",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "Rajang_SK7_Tip_1_5",
         "amount" : 1,
         "remove_if_not_active" : false,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
	  {
         "id" : "Rajang_SK7_Tip_2",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "Rajang_SK7_Tip_2",
         "amount" : 1,
         "remove_if_not_active" : false,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
	  {
         "id" : "Rajang_SK7_Tip_3_1",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "Rajang_SK7_Tip_3_1",
         "amount" : 1,
         "remove_if_not_active" : false,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
	  {
         "id" : "Rajang_SK7_Tip_3_2",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "Rajang_SK7_Tip_3_2",
         "amount" : 1,
         "remove_if_not_active" : false,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
	  {
         "id" : "Rajang_SK7_Tip_3_3",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "Rajang_SK7_Tip_3_3",
         "amount" : 1,
         "remove_if_not_active" : false,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
	  {
         "id" : "Rajang_SK7_Tip_3_4",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "Rajang_SK7_Tip_3_4",
         "amount" : 1,
         "remove_if_not_active" : false,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
	  {
         "id" : "Rajang_SK7_Tip_3_5",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "Rajang_SK7_Tip_3_5",
         "amount" : 1,
         "remove_if_not_active" : false,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
	  {
         "id" : "Rajang_SK7_Tip_4_1",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "Rajang_SK7_Tip_4_1",
         "amount" : 1,
         "remove_if_not_active" : false,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
	  {
         "id" : "Rajang_SK7_Tip_4_2",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "Rajang_SK7_Tip_4_2",
         "amount" : 1,
         "remove_if_not_active" : false,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
	  {
         "id" : "Rajang_SK7_Tip_4_3",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "Rajang_SK7_Tip_4_3",
         "amount" : 1,
         "remove_if_not_active" : false,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
	  {
         "id" : "Rajang_SK7_Tip_4_4",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "Rajang_SK7_Tip_4_4",
         "amount" : 1,
         "remove_if_not_active" : false,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
	  {
         "id" : "Rajang_SK7_Tip_4_5",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "Rajang_SK7_Tip_4_5",
         "amount" : 1,
         "remove_if_not_active" : false,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      }
   ]
}